<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ScintillatorTileConstructor Member List</h1>This is the complete list of members for <a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#aeb007bba730fc24318bd20008e59ac00">applyVolumeCounter</a>(G4String &amp;physical_volume_name)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#aba827acbe4944b76d920589af041ca45">ConstructASensitiveDetector</a>()</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ade8534176217cebe16b12b439d9b1e97">ConstructLUTWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, G4SurfaceType surfaceType, G4double roughness, G4VPhysicalVolume *surrounding_volume=0)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#acdc06d95209dc7469ed5014a9f5e2efe">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a98ad7dbd568dbf34fd3d07b47acf3223">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a1d7c0583e174986f45a4d705d7fb5383">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a8168fa75996b2b14fc8b3cd4731565c1">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a6b2547f27faa66dfe2cc9229a55f2585">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a6c7cc9e988fdbed0b08b36394d771c33">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a7cb22be94fe72b3d9cf8fc0c9b5ffb45">ConstructScintillator</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file, G4bool constructSensitiveDetector)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#aac4a7b3ffc882232875880f8bf397fd3">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a10c5965053c511bf73560c51d5547d01">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String scintillator_name)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ac239abb749b1be306330024baa021232">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String scintillator_name, G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a6ddd2c1125fe33872c9e817dde571214">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a4676625a85342c009a02b712e031cda2">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ab919139bcecdf28bed6c9b77bb76d871">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#acc9b9b878b341afd2a32d8d22d84965c">ConstructScintillators</a>(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file, G4bool constructSensitiveDetector)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ad03d340afce461bbd9ec96d0a9778002">ConstructWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ae0fb2d9ac1c4138ddc2236c5a94b777a">ConstructWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a74740c0de58f1205162689dbac57b044">ConstructWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume, G4String wrapping_name)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a28795f0bcfbdf86edd464e644edcbd74">ConstructWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ace174255311f06cb49ba08f10f615bb3">ConstructWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes, G4bool constructSensitiveDetector)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ac859452439271b47b1ec4bffabb7d4ec">ScintillatorTileConstructor</a>(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4bool searchOverlaps, int verbose=0)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults</a>()</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#af375d56ba9e8bda028ddef15f102ab16">SetOpticalSurfaceProperties</a>(G4OpticalSurfaceModel surface_model, G4OpticalSurfaceFinish surface_finish)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a76dcc80267c1cb201e6e24afc5e76153">SetScintillatorCutDimple</a>(G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#ade639f8d50c190449a7b3c1726e35d6e">SetScintillatorName</a>(G4String scintillator_name)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#aed8cc75bd60e91bb4faee5a43d85e0d6">SetScintillatorReferenceVolume</a>(G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a4000601225db31fb5bf071a61211446f">SetScintillatorTransformation</a>(G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a10676b29d567b23520c51d848e343802">SetScintillatorTwinTile</a>(G4String twin_tile_property_file)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#aea72492753d26758d80f5a44e2887707">SetWrappingCutVolumes</a>(std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#a19338cbd96fcad81613420125c55a2ce">SetWrappingMotherVolume</a>(G4VPhysicalVolume *wrapping_mother_volume_physical)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#aef91b140feed9a219fa95157b95d176c">SetWrappingName</a>(G4String wrapping_name)</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classScintillatorTileConstructor.html#af189ffbb895160921b089052555ed7dc">~ScintillatorTileConstructor</a>()</td><td><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 13 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
